curl --request GET \
--url https://api.novig.com/nbx/v2/emm/markets/{marketId}import requests
url = "https://api.novig.com/nbx/v2/emm/markets/{marketId}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.novig.com/nbx/v2/emm/markets/{marketId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"description": "KC v BUF Total",
"status": "OPEN",
"type": "TOTAL",
"league": "NFL",
"volume": 1000000,
"eventId": "123e4567-e89b-12d3-a456-426614174000",
"outcomeIds": [
"123e4567-e89b-12d3-a456-426614174002",
"123e4567-e89b-12d3-a456-426614174003"
],
"outcomes": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"description": "Over 26.5",
"type": "<string>",
"status": "TBD",
"index": 0,
"last": 0.55,
"competitor": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "Kansas City Chiefs",
"shortName": "Chiefs",
"symbol": "KC",
"mascot": "Chiefs"
}
}
],
"strike": 26.5,
"event": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"type": "REGULAR_SEASON",
"status": "OPEN_PREGAME",
"description": "KC Chiefs vs BUF Bills - Week 14",
"game": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"league": "NFL",
"status": "SCHEDULED",
"scheduledStart": "2023-12-10T20:00:00Z",
"homeTeam": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "Kansas City Chiefs",
"shortName": "Chiefs",
"symbol": "KC",
"mascot": "Chiefs"
},
"awayTeam": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "Kansas City Chiefs",
"shortName": "Chiefs",
"symbol": "KC",
"mascot": "Chiefs"
}
}
},
"playerId": "123e4567-e89b-12d3-a456-426614174001",
"player": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "Josh Allen",
"fullName": "Joshua Patrick Allen",
"position": "QB"
},
"competitor": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "Kansas City Chiefs",
"shortName": "Chiefs",
"symbol": "KC",
"mascot": "Chiefs"
},
"settledAt": "2023-10-05T12:00:00Z"
}Get market
Fetch information for a specific market using its unique identifier.
Rate limit: 128 requests per second.
Path Parameters
The server-generated UUID of the market to retrieve
Response
Market retrieved successfully.
The ID of the market
"123e4567-e89b-12d3-a456-426614174000"
Description of the market
"KC v BUF Total"
The current status of the market (OPEN, CLOSED, or SETTLED)
"OPEN"
The type of market (MONEY, SPREAD, TOTAL, RUSHING_ATTEMPTS, etc.)
"TOTAL"
The league of the market
"NFL"
The total volume of the market in CASH denomination
1000000
The event associated with the market
"123e4567-e89b-12d3-a456-426614174000"
Array of outcome IDs linked to this market
[ "123e4567-e89b-12d3-a456-426614174002", "123e4567-e89b-12d3-a456-426614174003" ]
Array of outcomes linked to this market
Show child attributes
Show child attributes
The threshold of the market in the unit of the stat type
26.5
The event details associated with the market
Show child attributes
Show child attributes
The player associated with the market (if applicable)
"123e4567-e89b-12d3-a456-426614174001"
The player associated with the market (if applicable)
Show child attributes
Show child attributes
The competitor associated with the market (if applicable)
Show child attributes
Show child attributes
When the market was settled (if applicable)
"2023-10-05T12:00:00Z"